Get Languages
curl --request GET \
--url https://103.77.224.40/platform/api/languagesimport requests
url = "https://103.77.224.40/platform/api/languages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://103.77.224.40/platform/api/languages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
GET /platform/api/languages?softwareProvider=PEGASUS
[
"english",
"bulgarian",
"croatian",
"czech",
"danish",
"english-us",
"french",
"georgian",
"german",
"greek",
"hungarian",
"italian",
"norwegian",
"polish",
"portuguese",
"portuguese-br",
"romanian",
"russian",
"slovak",
"slovenian",
"spanish",
"spanish-la",
"swedish",
"turkish"
]
RGS Public API
Get Languages
Retrieves the languages available for a software provider.
Get Languages
GET /platform/api/languages
Request Parameters
| Name | Type | Description |
|---|---|---|
| softwareProvider | string | Required. The software provider whose languages you want to retrieve. |
Response
Returns a JSON array of language values used by the specified provider. The default language appears first, followed by the other languages in alphabetical order. If no languages are configured for the provider, the endpoint returns404 Not Found.
Language fallback when launching a game
You can send a language in a game launch request even if it is not listed for the game’s software provider. If the provider does not support the requested language, the platform uses that provider’s configured default language. When English is configured as the default language, the game opens in English.GET /platform/api/languages?softwareProvider=PEGASUS
[
"english",
"bulgarian",
"croatian",
"czech",
"danish",
"english-us",
"french",
"georgian",
"german",
"greek",
"hungarian",
"italian",
"norwegian",
"polish",
"portuguese",
"portuguese-br",
"romanian",
"russian",
"slovak",
"slovenian",
"spanish",
"spanish-la",
"swedish",
"turkish"
]